import type { Functionality, IDataObject, JsonObject, Severity } from '../../Interfaces';
import { ApplicationError } from '../application.error';
interface ExecutionBaseErrorOptions {
    cause?: Error | JsonObject;
}
export declare abstract class ExecutionBaseError extends ApplicationError {
    description: string | null | undefined;
    cause: Error | JsonObject | undefined;
    timestamp: number;
    context: IDataObject;
    lineNumber: number | undefined;
    severity: Severity;
    functionality: Functionality;
    constructor(message: string, { cause }: ExecutionBaseErrorOptions);
    toJSON?(): any;
}
export {};
